Logo

Docs

Songs

Get Multiple Songs by ISRC

Fetch one or more songs by ISRC using the songs lookup endpoint.

Endpoint

GET /songs

Endpoint reference: getSongs

Use this form when you want song lookup by external recording code instead of internal id.

Required Query Parameter

NameDescriptionTypeExample
isrcComma-separated ISRC valuesstringUSRC17607839,GBARL0600786

Optional Query Parameters

Scoped parameters like view[...] and limit[...] can shape included relationships.

NameValuesRequired
langlocale stringfalse
includealbums, artists, lyricsfalse
viewminimalfalse
view[songs]minimalfalse
view[albums]minimalfalse
view[artists]minimalfalse
limit[albums]1-25false
limit[artists]1-25false

Responses

StatusContent TypeResponse
200 OKapplication/jsonSongListResponse
400 Bad Requestapplication/jsonErrorResponse

On this page